#!/bin/bash

cdir=$(dirname $(readlink -f ${PWD}))
recipe=${1:-livecd-rootfs.recipe}
work_d=${2:-${PWD}/livecd-rootfs}

tmp_d=$(mktemp -d)
trap "cd ${cdir}; rm -rf ${tmp_d};" EXIT
cp ${recipe} ${tmp_d}

if [ -d ${work_d} ]; then
    rm -rf ${work_d}
fi

mkdir -p ${work_d}

local_string="0${HOSTNAME}.{revno:extras}.{revno:maas}.{time}"
sed -e "s/\(# bzr-builder format 0.4 deb-version 1:{debupstream}~\).*/\1$local_string/" \
    -e "s|lp:~cloudware/livecd-rootfs/cpc_packaging.extra|.|g" \
    -i ${tmp_d}/${recipe}

cat <<EOM
Building package recipe ${recipe}:
-------------------------------------
$(<${tmp_d}/${recipe})

-------------------------------------
EOM

bzr dailydeb ${tmp_d}/${recipe} ${work_d} \
    --allow-fallback-to-native \
    --distribution=${SUITE:-$(lsb_release -c -s)} \
    --key-id=${DEBSIGN_KEYID}
