#!/bin/bash -x

PROJECT=${1}
LICENSE_NAME=${2}
LICENSE_DESCRIPTION=${3}
ENDPOINT="https://www.googleapis.com/compute/alpha"

if [[ -z $1 || -z $2 || -z $3 ]]; then
  echo "Usage: $0 PROJECT LICENSE_NAME "LICENSE_DESCRIPTION""
  echo e.g. $0 'ubuntu-os-cloud ubuntu-1804-lts "Ubuntu 18.04 LTS (Bionic Beaver)"'
  exit 1
fi

# Authenticate to refresh token.
gcloud compute project-info describe &> /dev/null

# Get the token from the local gcloud file.
TOKEN=$(gcloud auth print-access-token)
URL="${ENDPOINT}/projects/${PROJECT}/global/licenses/?access_token=${TOKEN}"

read -r -d '' LICENSE_INPUT <<EOF
{"name": "${LICENSE_NAME}", "description": "${LICENSE_DESCRIPTION}"}
EOF

echo "Creating license: ${LICENSE_INPUT}"
curl -X POST -d "${LICENSE_INPUT}" --header "Content-Type: application/json" "${URL}"
