#!/bin/bash

PROJECT=${1}
LICENSE_NAME=${2}

ENDPOINT="https://www.googleapis.com/compute/alpha"

if [[ -z $1 || -z $2 ]]; then
  echo "Usage: $0 PROJECT LICENSE_NAME"
  echo "e.g. $0 ubuntu-os-cloud ubuntu-1710"
  exit 1
fi

# Authenticate to refresh token.
gcloud compute project-info describe &> /dev/null

# Get the token from the local gcloud file.
TOKEN=$(gcloud auth print-access-token)
URL="${ENDPOINT}/projects/${PROJECT}/global/licenses/${LICENSE_NAME}?access_token=${TOKEN}"

echo "Getting license ID for: ${LICENSE_NAME}"
curl ${URL}
